[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomListBox.SetSelected

Sets the value for the Selected property.

## Declaration

Source position: stdctrls.pp line 602

`protected procedure TCustomListBox.SetSelected(`
`Index: Integer;`
`Val: Boolean`
`);`

## Arguments

`Index` |  | Ordinal position for the item updated in the method.
`Val` |  | New value for the Selected property.

## See also

TCustomListBox.Selected |  | The Selected state for an item in the control.